##################################### TERMS OF USE ###########################################
# The following code is provided for demonstration purpose only, and should not be used      #
# without independent verification. Recorded Future makes no representations or warranties,  #
# express, implied, statutory, or otherwise, regarding any aspect of this code or of the     #
# information it may retrieve, and provides it both strictly “as-is” and without assuming    #
# responsibility for any information it may retrieve. Recorded Future shall not be liable    #
# for, and you assume all risk of using, the foregoing. By using this code, Customer         #
# represents that it is solely responsible for having all necessary licenses, permissions,   #
# rights, and/or consents to connect to third party APIs, and that it is solely responsible  #
# for having all necessary licenses, permissions, rights, and/or consents to any data        #
# accessed from any third party API.                                                         #
##############################################################################################

###############################################################################
# SOAR
###############################################################################
_SOAR_POST_ROWS = 2000

###############################################################################
# REGEX
###############################################################################
# According to RFC 1035 TLD can have up to 63 chars but 18 should cover most of them.
_RE_DOMAIN = '((?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.)+(?:[a-z]{2,18}\\.?))'
_RE_IPv4 = '((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)'
_RE_IPv6 = '(([\\da-f]{0,4}:){1,7}[\\da-f]{0,4})'
_RE_HASH = '^[a-f0-9]{32}$|^[a-f0-9]{64}$'
_RE_CVE = 'c(v|w)e-\\d{4}-\\d{4,7}'
_RE_URL_BASE = '(?=.*(/|https?:\\/\\/))(https?:\\/\\/)?{}.*'
_RE_URL_DOM = _RE_URL_BASE.format(_RE_DOMAIN)
_RE_URL_IP = _RE_URL_BASE.format(_RE_IPv4)
_RE_RF_ID = '^[a-zA-Z0-9-_]{5,6}$'

_RF_ID = 'rf_id'

_COMPANY = 'company'
_COMPANYBYDOMAIN = 'companybydomain'
_DOMAIN = 'domain'
_HASH = 'hash'
_IP = 'ip'
_URL = 'url'
_VULNERABILITY = 'vulnerability'
_IOC_TYPES = (_DOMAIN, _HASH, _IP, _URL, _VULNERABILITY, _COMPANY, _COMPANYBYDOMAIN)

_ERR_KEY = 'rf_error'
_INFO_KEY = 'rf_info'
_MSG = 'message'
_ERR_MSG_IOC_TYPE = {_ERR_KEY: {_MSG: 'IOC Type not found'}}
_MSG_HTTP = ': connection terminated.'
_ERR_MSG_HTTP = {_ERR_KEY: {_MSG: _MSG_HTTP}}
_MSG_JSON = ': returned data malformed.'
_ERR_MSG_JSON = {_ERR_KEY: {_MSG: _MSG_JSON}}
_INFO_IOC_NOT_FOUND = {_INFO_KEY: {_MSG: 'Nothing has been found for the IOC.'}}

_MSG_KEYS = (_ERR_KEY, _INFO_KEY)

_SOAR_IOC_NAME_JSONPATH = 'entity.name'
