##################################### TERMS OF USE ###########################################
# The following code is provided for demonstration purpose only, and should not be used      #
# without independent verification. Recorded Future makes no representations or warranties,  #
# express, implied, statutory, or otherwise, regarding any aspect of this code or of the     #
# information it may retrieve, and provides it both strictly “as-is” and without assuming    #
# responsibility for any information it may retrieve. Recorded Future shall not be liable    #
# for, and you assume all risk of using, the foregoing. By using this code, Customer         #
# represents that it is solely responsible for having all necessary licenses, permissions,   #
# rights, and/or consents to connect to third party APIs, and that it is solely responsible  #
# for having all necessary licenses, permissions, rights, and/or consents to any data        #
# accessed from any third party API.                                                         #
##############################################################################################

__all__ = [
    'RecordedFutureException',
    'WriteFileError',
    'ReadFileError',
]


class RecordedFutureException(Exception):
    """Base class for exceptions in this module."""


class ReadFileError(RecordedFutureException):
    """Error raised when PSEngine classes cannot read from file."""

    def __init__(self, message='Error reading from file', *args):
        RecordedFutureException.__init__(self, message % (args))


class WriteFileError(RecordedFutureException):
    """Error raised when PSEngine classes cannot write to file."""

    def __init__(self, message='Error writing to file', *args):
        RecordedFutureException.__init__(self, message % (args))
