##################################### TERMS OF USE ###########################################
# The following code is provided for demonstration purpose only, and should not be used      #
# without independent verification. Recorded Future makes no representations or warranties,  #
# express, implied, statutory, or otherwise, regarding any aspect of this code or of the     #
# information it may retrieve, and provides it both strictly “as-is” and without assuming    #
# responsibility for any information it may retrieve. Recorded Future shall not be liable    #
# for, and you assume all risk of using, the foregoing. By using this code, Customer         #
# represents that it is solely responsible for having all necessary licenses, permissions,   #
# rights, and/or consents to connect to third party APIs, and that it is solely responsible  #
# for having all necessary licenses, permissions, rights, and/or consents to any data        #
# accessed from any third party API.                                                         #
##############################################################################################

from ..exceptions import RecordedFutureException


class NoRulesFoundError(RecordedFutureException):
    """Error raised when there were no rules returned
    or an excpetion occured during the request.
    """


class AlertsFetchError(RecordedFutureException):
    """Error raised when there were no alerts returned
    or an excpetion occured during the request.
    """


class AlertUpdateError(RecordedFutureException):
    """Error raised when the update request encounters an exception."""


class NoMatchError(RecordedFutureException):
    """Error raised when RFAlert can not return
    the first value at path in alert.
    """


class MultipleReadError(RecordedFutureException):
    """Error raised when RFAlert finds more than one matching path in the source
    alert when copying a value from between alert JSON onjects.
    """


class AlertsParseError(RecordedFutureException):
    """Error raised when unable to parse RF Alert."""
