##################################### TERMS OF USE ###########################################
# The following code is provided for demonstration purpose only, and should not be used      #
# without independent verification. Recorded Future makes no representations or warranties,  #
# express, implied, statutory, or otherwise, regarding any aspect of this code or of the     #
# information it may retrieve, and provides it both strictly “as-is” and without assuming    #
# responsibility for any information it may retrieve. Recorded Future shall not be liable    #
# for, and you assume all risk of using, the foregoing. By using this code, Customer         #
# represents that it is solely responsible for having all necessary licenses, permissions,   #
# rights, and/or consents to connect to third party APIs, and that it is solely responsible  #
# for having all necessary licenses, permissions, rights, and/or consents to any data        #
# accessed from any third party API.                                                         #
##############################################################################################

from ..endpoints import (
    EP_PLAYBOOK_ALERT_CODE_REPO_LEAKAGE,
    EP_PLAYBOOK_ALERT_CYBER_VULNERABILITY,
    EP_PLAYBOOK_ALERT_DOMAIN_ABUSE,
    EP_PLAYBOOK_ALERT_IDENTITY_NOVEL_EXPOSURES,
    EP_PLAYBOOK_ALERT_THIRD_PARTY_RISK,
)
from .rf_pa_category import RFPACategory
from .rf_pa_code_repo_leakage import RFPlaybookAlertCodeRepoLeakage
from .rf_pa_cyber_vulnerability import RFPlaybookAlertCyberVulnerability
from .rf_pa_domain_abuse import RFPlaybookAlertDomainAbuse
from .rf_pa_identity_novel_exposures import RFPlaybookAlertIdentityNovelExposures
from .rf_pa_third_party_risk import RFPlaybookAlertThirdPartyRisk

CATEGORY_ENDPOINTS = {
    RFPACategory.DOMAIN_ABUSE.value: EP_PLAYBOOK_ALERT_DOMAIN_ABUSE,
    RFPACategory.THIRD_PARTY_RISK.value: EP_PLAYBOOK_ALERT_THIRD_PARTY_RISK,
    RFPACategory.CYBER_VULNERABILITY.value: EP_PLAYBOOK_ALERT_CYBER_VULNERABILITY,
    RFPACategory.CODE_REPO_LEAKAGE.value: EP_PLAYBOOK_ALERT_CODE_REPO_LEAKAGE,
    RFPACategory.IDENTITY_NOVEL_EXPOSURES.value: EP_PLAYBOOK_ALERT_IDENTITY_NOVEL_EXPOSURES,
}

CATEGORY_TO_OBJECT_MAP = {
    RFPACategory.DOMAIN_ABUSE.value: RFPlaybookAlertDomainAbuse,
    RFPACategory.THIRD_PARTY_RISK.value: RFPlaybookAlertThirdPartyRisk,
    RFPACategory.CYBER_VULNERABILITY.value: RFPlaybookAlertCyberVulnerability,
    RFPACategory.CODE_REPO_LEAKAGE.value: RFPlaybookAlertCodeRepoLeakage,
    RFPACategory.IDENTITY_NOVEL_EXPOSURES.value: RFPlaybookAlertIdentityNovelExposures,
}
